=== src/github.com/mattn/kinako/parser/Makefile ===
all : parser.go

parser.go : parser.go.y
	goyacc -o $@ parser.go.y
