=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

PREFIX=/usr

%:
	dh $@

override_dh_auto_install:  
	@
